$("#checkAll").change(function () { //"select all" change
		  $(".checkbox").prop('checked', $(this).prop("checked")); //change all ".checkbox" checked status
		  button_on_off($(this).prop("checked")); // button visible or hide
		});

		//".checkbox" change 
		$('.checkbox').change(function () {
		  //uncheck "select all", if one of the listed checkbox item is unchecked
		  if (false == $(this).prop("checked")) { //if this item is unchecked
		    $("#checkAll").prop('checked', false); //change "select all" checked status to false
		  }
		  //check "select all" if all checkbox items are checked
		  if ($('.checkbox:checked').length == $('.checkbox').length) {
		    $("#checkAll").prop('checked', true);
		  }
		  // button visible or hide
		  if ($('.checkbox:checked').length > 0) {
		    button_on_off(true); // if minimum one checkbox is checked then visible
		  } else {
		    button_on_off(false); // if anyone checkbox is not checked then hide
		  }
		});

		$('.show').click(function () {
		   // data-customer_id="2" data-loan_id="20"
		  $('.checkbox:checked').each(function () {
		    var customer_id = $(this).data(customer_id);
		    console.log(customer_id);
		  });
		});

		function button_on_off(status) {
		  if (status)
		    $('.show').css('visibility', 'visible');
		  else
		    $('.show').css('visibility', 'hidden');
		}